/*
* Copyright (C) 2006 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once


// CBriefcaseSettings dialog

class CBriefcaseSettings : public CDialog
{
	DECLARE_DYNAMIC(CBriefcaseSettings)

public:
	CBriefcaseSettings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CBriefcaseSettings();

	// Dialog Data
	enum { IDD = IDD_UI_BRIEFCASE };

protected:
    #if defined(WIN32_PLATFORM_PSPC)
        SHMENUBARINFO dlgCommandBar; 
        CComboBox lstSyncType;
    #endif

    #if defined(WIN32_PLATFORM_WFSP)
        CCommandBar dlgCommandBar3;
        CListBox lstSyncType; 
        CSpinButtonCtrl spinSyncType;
    #endif

	CEdit editRemote;
    CString folder;

    #if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
        afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
    #endif

	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
  #ifdef  SMARTPHONE2003_UI_MODEL
	LRESULT OnHotkey(WPARAM wParam, LPARAM lParam);
  #endif

    afx_msg void OnOK();
    afx_msg void OnMenuFolder();
    afx_msg void OnClickedBriefcaseBrowse();
};
