/*
* Copyright (C) 2003-2006 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#pragma once

//TODO: handle differently for ppc/sph
#include "ui.h"
#include "afxwin.h"
// CCommunicationSettings dialog

class CCommunicationSettings : public CDialog
{
	DECLARE_DYNAMIC(CCommunicationSettings)

public:
	CCommunicationSettings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CCommunicationSettings();

// Dialog Data
	enum { IDD = IDD_UI_COMM };

protected:
    #if defined(WIN32_PLATFORM_PSPC)
        SHMENUBARINFO dlgCommandBar; 
    #endif

    #if defined(WIN32_PLATFORM_WFSP)
        CCommandBar dlgCommandBar3;
    #endif 

    CString devId; 
	CEdit editUrl;
	CEdit editUser;
	CEdit editPassword;
    CWnd* wndFocusWnd;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnOK();
  #if defined(WIN32_PLATFORM_WFSP)
	LRESULT OnHotkey(WPARAM wParam, LPARAM lParam);
  #endif

    //-- when reactivating the window
    afx_msg void OnActivate(UINT nState,CWnd* pWndOther, BOOL bMinimized );
public:
    CStatic labelTitle;
};
